<?php echo $header; ?><?php echo $column_left; ?>
<div id="content">
  <div class="page-header">
    <div class="container-fluid heading">
      <div class="pull-right">
        <?php if ($has_permission) { ?>
        <button type="submit" form="form-betatransfer" id="button_save" class="btn btn-primary" data-toggle="tooltip" title="<?php echo $button_save; ?>">
          <i class="fa fa-save"></i>
        </button>
        <?php } ?>
        <a href="<?php echo $cancel; ?>" class="btn btn-default" data-toggle="tooltip" title="<?php echo $button_cancel; ?>">
          <i class="fa fa-reply"></i>
        </a>
      </div>
      <h1><?php echo $heading_title; ?></h1>
      <ul class="breadcrumb">
        <?php foreach ($breadcrumbs as $breadcrumb) { ?>
        <li>
          <a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a>
        </li>
        <?php } ?>
      </ul>
    </div>
  </div>
  <div class="container-fluid">
    <?php if ($error_warning) {
    foreach ($error_warning as $value) { ?>
    <div class="alert alert-danger"><i class="fa fa-exclamation-circle"></i> <?php echo $value; ?>
      <button type="button" class="close" data-dismiss="alert">&times;</button>
    </div>
    <?php } } ?>

    <div class="panel panel-default">
      <div class="panel-body">
        <form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" id="form-betatransfer" class="form-horizontal">
          <ul class="nav nav-tabs">
            <li class="active">
              <a href="#tab-general" data-toggle="tab">
                <i class="fa fa-power-off"></i> <?php echo $tab_general; ?>
              </a>
            </li>
            <li>
              <a href="#tab-integration" data-toggle="tab">
                <i class="fa fa-wrench"></i> <?php echo $tab_integration; ?>
              </a>
            </li>
            <li>
              <a href="#tab-information" data-toggle="tab">
                <i class="fa fa-info-circle"></i> <?php echo $tab_information; ?>
              </a>
            </li>
          </ul>
          <div class="tab-content">
            <div class="tab-pane active" id="tab-general">
              <div class="form-group">
                <label class="col-sm-2 control-label" for="input-geo-zone"><?php echo $entry_geo_zone; ?></label>
                <div class="col-sm-10">
                  <select name="betatransfer_geo_zone_id" id="input-geo-zone" class="form-control">
                    <option value="0"><?php echo $text_all_zones; ?></option>
                    <?php foreach ($geo_zones as $geo_zone) { ?>
                    <?php if ($geo_zone['geo_zone_id'] == $betatransfer_geo_zone_id) { ?>
                    <option value="<?php echo $geo_zone['geo_zone_id']; ?>" selected="selected"><?php echo $geo_zone['name']; ?></option>
                    <?php } else { ?>
                    <option value="<?php echo $geo_zone['geo_zone_id']; ?>"><?php echo $geo_zone['name']; ?></option>
                    <?php } ?>
                    <?php } ?>
                  </select>
                </div>
              </div>
              <div class="form-group">
                <label class="col-sm-2 control-label" for="input-sort-order"><?php echo $entry_sort_order; ?></label>
                <div class="col-sm-10">
                  <input type="text" name="betatransfer_sort_order" value="<?php echo $betatransfer_sort_order; ?>"
                         placeholder="<?php echo $entry_sort_order; ?>" id="input-sort-order" class="form-control" />
                </div>
              </div>
              <div class="form-group">
                <label class="col-sm-2 control-label" for="input-minimal-order"><?php echo $entry_total; ?></label>
                <div class="col-sm-10">
                  <input type="text" name="betatransfer_total" value="<?php echo $betatransfer_total; ?>"
                         placeholder="<?php echo $entry_total; ?>" id="input-minimal-order" class="form-control" />
                  <span class="help-block"><?php echo $help_total; ?></span>
                </div>
              </div>
              <div class="form-group">
                <label class="col-sm-2 control-label" for="input-order-confirm-status"><?php echo $entry_order_confirm_status; ?></label>
                <div class="col-sm-10">
                  <select name="betatransfer_order_status_confirm" id="input-order-confirm-status" class="form-control">
                    <?php foreach ($order_statuses as $order_status) { ?>
                    <?php if ($order_status['order_status_id'] == $betatransfer_order_status_confirm) { ?>
                    <option value="<?php echo $order_status['order_status_id']; ?>" selected="selected"><?php echo $order_status['name']; ?></option>
                    <?php } else { ?>
                    <option value="<?php echo $order_status['order_status_id']; ?>"><?php echo $order_status['name']; ?></option>
                    <?php } ?>
                    <?php } ?>
                  </select>
                  <span class="help-block"><?php echo $help_order_confirm_status; ?></span>
                </div>
              </div>
              <div class="form-group">
                <label class="col-sm-2 control-label" for="input-order-status"><?php echo $entry_order_success_status; ?></label>
                <div class="col-sm-10">
                  <select name="betatransfer_order_status_success" id="input-order-status" class="form-control">
                    <?php foreach ($order_statuses as $order_status) { ?>
                    <?php if (!$order_status['order_status_id']) continue; ?>
                    <?php if ($order_status['order_status_id'] == $betatransfer_order_status_success) { ?>
                    <option value="<?php echo $order_status['order_status_id']; ?>" selected="selected"><?php echo $order_status['name']; ?></option>
                    <?php } else { ?>
                    <option value="<?php echo $order_status['order_status_id']; ?>"><?php echo $order_status['name']; ?></option>
                    <?php } ?>
                    <?php } ?>
                  </select>
                  <span class="help-block"><?php echo $help_order_success_status; ?></span>
                </div>
              </div>
              <div class="form-group">
                <label class="col-sm-2 control-label" for="input-order-fail-status"><?php echo $entry_order_fail_status; ?></label>
                <div class="col-sm-10">
                  <select name="betatransfer_order_status_fail" id="input-order-fail-status" class="form-control">
                    <?php foreach ($order_statuses as $order_status) { ?>
                    <?php if (!$order_status['order_status_id']) continue; ?>
                    <?php if ($order_status['order_status_id'] == $betatransfer_order_status_fail) { ?>
                    <option value="<?php echo $order_status['order_status_id']; ?>" selected="selected"><?php echo $order_status['name']; ?></option>
                    <?php } else { ?>
                    <option value="<?php echo $order_status['order_status_id']; ?>"><?php echo $order_status['name']; ?></option>
                    <?php } ?>
                    <?php } ?>
                  </select>
                  <span class="help-block"><?php echo $help_order_fail_status; ?></span>
                </div>
              </div>
              <div class="form-group">
                <label class="col-sm-2 control-label" for="input-status"><?php echo $entry_status; ?></label>
                <div class="col-sm-10">
                  <select name="betatransfer_status" id="input-status" class="form-control">
                    <?php if ($betatransfer_status) { ?>
                    <option value="1" selected="selected"><?php echo $text_enabled; ?></option>
                    <option value="0"><?php echo $text_disabled; ?></option>
                    <?php } else { ?>
                    <option value="1"><?php echo $text_enabled; ?></option>
                    <option value="0" selected="selected"><?php echo $text_disabled; ?></option>
                    <?php } ?>
                  </select>
                </div>
              </div>
            </div>

            <div class="tab-pane" id="tab-integration">
              <?php if ($has_permission) { ?>
              <div class="form-group required">
                <label class="col-sm-2 control-label" for="input-shop-id"><?php echo $entry_token; ?></label>
                <div class="col-sm-10">
                  <input type="text" name="betatransfer_token" value="<?php echo $betatransfer_token; ?>"
                         placeholder="<?php echo $entry_token; ?>" id="input-shop-id" class="form-control" />
                  <span class="help-block"><?php echo $help_token; ?></span>
                  <?php if ($error_token) { ?>
                  <div class="text-danger"><?php echo $error_token; ?></div>
                  <?php } ?>
                </div>
              </div>
              <div class="form-group required">
                <label class="col-sm-2 control-label" for="input-sign-hash"><?php echo $entry_secret; ?></label>
                <div class="col-sm-10">
                  <input type="text" name="betatransfer_secret" value="<?php echo $betatransfer_secret; ?>"
                         placeholder="<?php echo $entry_secret; ?>" id="input-sign-hash" class="form-control" />
                  <span class="help-block"><?php echo $help_secret; ?></span>
                  <?php if ($error_secret) { ?>
                  <div class="text-danger"><?php echo $error_secret; ?></div>
                  <?php } ?>
                </div>
              </div>
              <div class="form-group">
                  <label class="col-sm-2 control-label" for="input-payment-system"><?php echo $entry_payment_system; ?></label>
                  <div class="col-sm-10">
                      <input type="text" name="betatransfer_payment_system" value="<?php echo $betatransfer_payment_system; ?>"
                              placeholder="<?php echo $entry_payment_system; ?>" id="input-payment-system" class="form-control" />
                      <span class="help-block"><?php echo $help_payment_system; ?></span>
                      <?php if ($error_payment_system) { ?>
                      <div class="text-danger"><?php echo $error_payment_system; ?></div>
                      <?php } ?>
                  </div>
              </div>
              <div class="form-group">
                <label class="col-sm-2 control-label"><?php echo $entry_title; ?></label>
                <div class="col-sm-10">
                  <?php foreach ($languages as $language) { ?>
                  <div class="input-group">
                    <?php $language_image = sprintf('view/image/flags/%s', $language['image']); ?>
                    <span class="input-group-addon">
                      <img src="<?php echo $language_image; ?>" title="<?php echo $language['name']; ?>" />
                    </span>
                    <input type="text" name="betatransfer_lang_data[<?php echo $language['language_id']; ?>][title]"
                           value="<?php echo !empty($betatransfer_lang_data[$language['language_id']]['title'])
                                  ? $betatransfer_lang_data[$language['language_id']]['title'] : $title_default[0]; ?>"
                           placeholder="<?php echo $entry_title; ?>" class="form-control" />
                  </div>
                  <?php } ?>
                  <span class="help-block"><?php echo $help_title; ?></span>
                </div>
              </div>
              <?php } ?>
            </div>

            <div class="tab-pane" id="tab-information">
              <div class="form-group">
                <label class="col-sm-2 control-label" for="input-status_url"><?php echo $entry_callback_url; ?></label>
                <div class="col-sm-10">
                  <div class="input-group">
                    <span class="input-group-addon"><i class="fa fa-link"></i></span>
                    <input type="text" readonly="readonly" value="<?php echo $betatransfer_callback_url; ?>" id="input-status_url" class="form-control">
                  </div>
                </div>
              </div>
              <div class="form-group">
                <label class="col-sm-2 control-label" for="input-success_url"><?php echo $entry_success_url; ?></label>
                <div class="col-sm-10">
                  <div class="input-group">
                    <span class="input-group-addon"><i class="fa fa-link"></i></span>
                    <input type="text" readonly="readonly" value="<?php echo $betatransfer_success_url; ?>" id="input-success_url" class="form-control">
                  </div>
                </div>
              </div>
              <div class="form-group">
                <label class="col-sm-2 control-label" for="input-fail_url"><?php echo $entry_fail_url; ?></label>
                <div class="col-sm-10">
                  <div class="input-group">
                    <span class="input-group-addon"><i class="fa fa-link"></i></span>
                    <input type="text" readonly="readonly" value="<?php echo $betatransfer_fail_url; ?>" id="input-fail_url" class="form-control">
                  </div>
                </div>
              </div>
            </div>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>
<?php echo $footer; ?>
